- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# net_l2_interface – Manage Layer-2 interface on network devices

New in version 2.4.

- DEPRECATED
- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.13
Why: | Updated modules released with more functionality
Alternative: | Use platform-specific “[netos]_l2_interfaces” module

## Synopsis

- This module provides declarative management of Layer-2 interface on network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
access_vlan - |  | Configure given VLAN in access port.
aggregate - |  | List of Layer-2 interface definitions.
mode - | Choices: access ← trunk | Mode in which interface needs to be configured.
name - |  | Name of the interface excluding any logical unit number.
native_vlan - |  | Native VLAN to be configured in trunk port.
state - | Choices: present ← absent | State of the Layer-2 Interface configuration.
trunk_allowed_vlans - |  | List of allowed VLAN's in a given trunk port.
trunk_vlans - |  | List of VLANs to be configured in trunk port.

## Notes

Note

- This module is supported on `ansible_network_os` network platforms. See the Network Platform Options for details.

## Examples

    - name: configure Layer-2 interface
      net_l2_interface:
        name: gigabitethernet0/0/1
        mode: access
        access_vlan: 30

    - name: remove Layer-2 interface configuration
      net_l2_interface:
        name: gigabitethernet0/0/1
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['interface gigabitethernet0/0/1', 'switchport mode access', 'switchport access vlan 30']

## Status

- This module will be removed in version 2.13. [deprecated]
- For more information see DEPRECATED.

### Authors

- Ganesh Nalawade (@ganeshrn)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.